<!-- ##### SECTION ./tmpl/e-data-server-ui-marshal.sgml:Image ##### -->



<!-- ##### SECTION ./tmpl/e-data-server-ui-marshal.sgml:Long_Description ##### -->
<para>

</para>


<!-- ##### SECTION ./tmpl/e-data-server-ui-marshal.sgml:See_Also ##### -->
<para>

</para>


<!-- ##### SECTION ./tmpl/e-data-server-ui-marshal.sgml:Short_Description ##### -->



<!-- ##### SECTION ./tmpl/e-data-server-ui-marshal.sgml:Stability_Level ##### -->



<!-- ##### SECTION ./tmpl/e-data-server-ui-marshal.sgml:Title ##### -->
e-data-server-ui-marshal


<!-- ##### SECTION ./tmpl/e-source-option-menu.sgml:Long_Description ##### -->
<para>

</para>


<!-- ##### SECTION ./tmpl/e-source-option-menu.sgml:See_Also ##### -->
<para>

</para>


<!-- ##### SECTION ./tmpl/e-source-option-menu.sgml:Short_Description ##### -->



<!-- ##### SECTION ./tmpl/e-source-option-menu.sgml:Stability_Level ##### -->



<!-- ##### SECTION ./tmpl/e-source-option-menu.sgml:Title ##### -->
ESourceOptionMenu


<!-- ##### STRUCT ECategoriesDialogPrivate ##### -->
<para>

</para>


<!-- ##### STRUCT ESourceOptionMenu ##### -->
<para>

</para>


<!-- ##### SIGNAL ESourceOptionMenu::source-selected ##### -->
<para>

</para>

@esourceoptionmenu: the object which received the signal.
@arg1: 

<!-- ##### STRUCT ESourceOptionMenuPrivate ##### -->
<para>

</para>


<!-- ##### ARG ESourceSelector:primary-source ##### -->
<para>

</para>


<!-- ##### STRUCT ESourceSelectorDialogPrivate ##### -->
<para>

</para>


<!-- ##### STRUCT ESourceSelectorPrivate ##### -->
<para>

</para>


<!-- ##### FUNCTION e_contact_store_add_book ##### -->
<para>

</para>

@contact_store: 
@book: 

<!-- ##### FUNCTION e_contact_store_get_book ##### -->
<para>

</para>

@contact_store: 
@iter: 
@Returns: 

<!-- ##### FUNCTION e_contact_store_get_books ##### -->
<para>

</para>

@contact_store: 
@Returns: 

<!-- ##### FUNCTION e_contact_store_remove_book ##### -->
<para>

</para>

@contact_store: 
@book: 

<!-- ##### FUNCTION e_data_server_ui_marshal_BOOLEAN__BOXED_OBJECT_FLAGS_UINT ##### -->
<para>

</para>

@closure: 
@return_value: 
@n_param_values: 
@param_values: 
@invocation_hint: 
@marshal_data: 

<!-- ##### FUNCTION e_data_server_ui_marshal_BOOLEAN__OBJECT_BOXED ##### -->
<para>

</para>

@closure: 
@return_value: 
@n_param_values: 
@param_values: 
@invocation_hint: 
@marshal_data: 

<!-- ##### MACRO e_data_server_ui_marshal_NONE__NONE ##### -->
<para>

</para>


<!-- ##### MACRO e_data_server_ui_marshal_NONE__POINTER ##### -->
<para>

</para>


<!-- ##### MACRO e_data_server_ui_marshal_VOID__POINTER ##### -->
<para>

</para>


<!-- ##### MACRO e_data_server_ui_marshal_VOID__VOID ##### -->
<para>

</para>


<!-- ##### FUNCTION e_load_book_source_ex ##### -->
<para>

</para>

@source: 
@open_func: 
@user_data: 
@Returns: 

<!-- ##### FUNCTION e_source_option_menu_new ##### -->
<para>

</para>

@list: 
@Returns: 

<!-- ##### FUNCTION e_source_option_menu_peek_selected ##### -->
<para>

</para>

@menu: 
@Returns: 

<!-- ##### FUNCTION e_source_option_menu_select ##### -->
<para>

</para>

@menu: 
@source: 

<!-- ##### FUNCTION find_contact_source_by_book_return_view ##### -->
<para>

</para>

@contact_store: 
@book: 
@Returns: 

